<?php	

function loadS70() {

  // LOADS THE S70 DATA FROM THE FILE
  // /DATA/SITAR_1/whi550/VO/PulsarVO/s70v_summary.csv INTO A TEMPORARY
  // TABLE IN THE MYSQL DATABASE. THE LINK NEEDS TO HAVE BEEN MADE WITH
  // ADMIN PRIVILEGES.

  $createTable = "
CREATE TEMPORARY TABLE s70 (
file_id SMALLINT UNSIGNED AUTO_INCREMENT,
filename VARCHAR(30),
fileloc VARCHAR(100),
hdrver VARCHAR(10),
survey VARCHAR(10),
src_name VARCHAR(20),
telescope VARCHAR(16),
data_type VARCHAR(16),
raj VARCHAR(15),
decj VARCHAR(15),
rajd DOUBLE,
decjd DOUBLE,
gl DECIMAL(9,4),
gb DECIMAL(9,4),
bmaj FLOAT,
bmin FLOAT,
bpa FLOAT,
date_obs VARCHAR(30),
mjd DOUBLE,
obsfreq DOUBLE,
chanbw DOUBLE,
nchan INT,
scanlen DOUBLE,
tsamp DOUBLE,
nbits INT,
PRIMARY KEY (file_id))";

  $result = mysql_query($createTable) or die('Query failed: ' . mysql_error());

  $loadTable = "
LOAD DATA LOCAL INFILE \"/pulsar/archive13/S70V/summary_S70.csv\" 
INTO TABLE s70 
FIELDS TERMINATED BY \",\" 
OPTIONALLY ENCLOSED BY \"\\\"\" 
IGNORE 1 LINES 
(filename,fileloc,hdrver,survey,src_name,telescope,data_type,raj,decj,rajd,decjd,gl,gb,bmaj,bmin,bpa,date_obs,mjd,obsfreq,chanbw,nchan,scanlen,tsamp,nbits)";

  $result = mysql_query($loadTable) or die('Query failed: ' . mysql_error());

}

?>
